Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.support
Class TitledChannelRuntimeProperties

    java.lang.Object
      org.jasig.portal.ChannelRuntimeProperties
          org.jasig.portal.channels.support.TitledChannelRuntimeProperties

All Implemented Interfaces:
  IChannelTitle

    public final class TitledChannelRuntimeProperties

extends ChannelRuntimeProperties
implements IChannelTitle

Field Summary
`private java.lang.String` | `channelTitle` Title of the channel.

Fields inherited from class org.jasig.portal.ChannelRuntimeProperties
`log`

Constructor Summary
`TitledChannelRuntimeProperties(java.lang.String desiredTitle)` TitledChannelRuntimeProperties requires that the desired channel title be provided at instantiation.

Method Summary
`java.lang.String` | `getChannelTitle()` Get the desired channel title.

Methods inherited from class org.jasig.portal.ChannelRuntimeProperties
`setWillRender, willRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### channelTitle

    private java.lang.String channelTitle

  Title of the channel.

Constructor Detail

### TitledChannelRuntimeProperties

    public TitledChannelRuntimeProperties(java.lang.String desiredTitle)

  TitledChannelRuntimeProperties requires that the desired channel title be provided at instantiation. A null desiredTitle will cause TitledChannelRuntimeProperties to return null on getTitle(), indicating that the channel doesn't have a desired title.

  Parameters:
    `desiredTitle` - desired channel title, or null if no preference

Method Detail

### getChannelTitle

    public java.lang.String getChannelTitle()

  Description copied from interface: `IChannelTitle`
  Get the desired channel title. Returning `null` indicates that the channel is not specifying a dynamic title and will leave it up to "the uPortal framework" to provide a title for the channel.

  Currently, the fallback behavior is to behave as if the channel hadn't provided an IDynamicChannelTitle at all and use the title specified at channel publication.

  Specified by:
    `getChannelTitle` in interface `IChannelTitle`
  Returns:
    desired dynamic channel title, or null if no dynamic title.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD